#include <iostream>
#include <vector>

using namespace std;

void program(vector <int> knjige){

    /// za n = 2
    if(knjige.size() == 2){
        cout << knjige[1] << " " << knjige[0];
        return;
    }

    /// kada najveci nije na pocetku
    int maksIndex = 0;
    for(int i = 1; i < knjige.size(); i++){
        if(knjige[i] >= knjige[maksIndex]){
            maksIndex = i;
        }
    }
    if(maksIndex != 0){
        int temp = knjige[0];
        knjige[0] = knjige[maksIndex];
        knjige[maksIndex] = temp;
        for(int x : knjige){
            cout << x << " ";
        }
        return;
    }

    cout << knjige[0] << " ";
    knjige.erase(knjige.begin());
    program(knjige);

    return;
}



int main(){
    unsigned int n;
    vector<int> knjige;
    int j;
    cin >> n;
    for(int i = 0; i < n; i++){
        cin >> j;
        knjige.push_back(j);
    }

    program(knjige);
}